jQuery(document).ready(function ($) {
    $('.select2').select2();
    $('#modo').on('change', function () {
        const selected = $(this).val();
        if (selected === 'manual') {
            $('#manual-section').removeClass('hidden');
            $('#auto-section').addClass('hidden');
        } else if (selected === 'automatico') {
            $('#manual-section').addClass('hidden');
            $('#auto-section').removeClass('hidden');
        } else {
            $('#manual-section, #auto-section').addClass('hidden');
        }
    });
	if ($('#modo').val() == 'manual')
	{
	$('#modo').trigger('change');
	}
 function toggleProvincia() {
        if ($('#tipo').val() === 'mini-geo') {
            $('#provincia-container').show();
        } else {
            $('#provincia-container').hide();
        }
		if ($('#tipo').val() === 'geo' || $('#tipo').val() === 'mini-geo') {
         	$('#keyword-container').show();
         	$('#escrapeos-container').hide();
			$("#keywords").val("");
        } else {
            $('#keyword-container').hide();
            $('#escrapeos-container').show();
			$("#keyword").val(""); 
        }
    }
    $('#tipo').on('change', toggleProvincia);
	function toggleboton() {
	const idioma = $('#idioma').val();
	const pais = $('#pais').val();
    const keyword = $('#keyword').val();
    const editor = $('#keywords').val();
	const herramienta = $('#herramienta').val();
	const urlParams = new URLSearchParams(window.location.search);
	const esPostEnvio = urlParams.get('form') === 'ok';
	if (!esPostEnvio) {
		if ((idioma !== '') && (pais !== '') && (herramienta !== '') && (keyword !== '' || editor !== '')) {
			$('.botonsubmit').prop('disabled', false);
		} else {
			$('.botonsubmit').prop('disabled', true);
		}
	}
	else
	{
	$('.botonsubmit').prop('disabled', true);
	const params = new URLSearchParams(window.location.search);
	  // Quitamos solo el parámetro que no queremos (por ejemplo 'form')
 	 params.delete('form');	
 	 // Si hay cambios, reemplazamos la URL
 	 const newParams = params.toString();
 	 const newUrl = window.location.pathname + (newParams ? '?' + newParams : '');
	  // Solo actualizamos la URL si ha cambiado
  	if (window.location.search !== '?' + newParams) {
  		  window.history.replaceState(null, '', newUrl);
 	 }
	}
	
	if (herramienta == 'apiplaces')
		{
		$(".placesmessage").css("display","block");
		}
	else
		{
		$(".placesmessage").css("display","none");
		}
	}
	$('#keyword').on('change',toggleboton);
	$('#keywords').on('change',toggleboton);
	$('#idioma').on('change',toggleboton);
	$('#tipo').on('change',toggleboton);
	$('#herramienta').on('change',toggleboton);
    // Ejecutar al cargar la página por si ya viene preseleccionado
    toggleProvincia();
	});

